> ## Documentation Index
> Fetch the complete documentation index at: https://support.lilt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve workflow templates

> Get all of the possible Workflow Templates owned by the team. Useful for retrieving the ids corresponding to each workflow tables, and passing them to subsequent requests, for example, creating a new Job with a specific Workflow.
Example CURL:
```bash curl -X GET 'https://api.lilt.com/v2/workflows/templates?key=API_KEY' ```




## OpenAPI

````yaml /api-reference/openapi-bundled.yaml get /v2/workflows/templates
openapi: 3.0.3
info:
  title: LILT API
  description: >
    LILT API Support: https://lilt.atlassian.net/servicedesk/customer/portals


    The LILT API enables programmatic access to the full-range of LILT backend
    services including:
      * Training of and translating with interactive, adaptive machine translation
      * Large-scale translation memory
      * The Lexicon (a large-scale termbase)
      * Programmatic control of the LILT CAT environment
      * Translation memory synchronization


    Requests and responses are in JSON format. The REST API only responds to
    HTTPS / SSL requests.


    The base url for this REST API is `https://api.lilt.com/`.


    ## Authentication


    Requests are authenticated via API key, which requires the Business plan.


    Requests are authenticated using [HTTP Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication). Add your
    API key as both the `username` and `password`.


    For development, you may also pass the API key via the `key` query
    parameter. This is less secure than HTTP Basic Auth, and is not recommended
    for production use.


    ## Quotas


    Our services have a general quota of 4000 requests per minute. Should you
    hit the maximum requests per minute, you will need to wait 60 seconds before
    you can send another request.
  version: v3.0.3
  license:
    name: LILT Platform Terms and Conditions
    url: https://lilt.com/lilt-platform-terms-and-conditions
servers:
  - url: https://api.lilt.com
security:
  - BasicAuth: []
  - ApiKeyAuth: []
paths:
  /v2/workflows/templates:
    get:
      tags:
        - Workflows
      summary: Retrieve workflow templates
      description: >
        Get all of the possible Workflow Templates owned by the team. Useful for
        retrieving the ids corresponding to each workflow tables, and passing
        them to subsequent requests, for example, creating a new Job with a
        specific Workflow.

        Example CURL:

        ```bash curl -X GET
        'https://api.lilt.com/v2/workflows/templates?key=API_KEY' ```
      operationId: getWorkflowTemplates
      responses:
        '200':
          description: An array with a team's available WorkflowTemplates.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkflowTemplate'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    WorkflowTemplate:
      type: object
      properties:
        id:
          type: number
          description: >-
            Identifier of a teams Workflow template. Can be used during Job
            creation for specifying the workflow used for a job or language
            pair.
          example: 15
        name:
          type: string
          example: Translate > Review > Customer Review
        TeamId:
          type: number
          description: The name of a given Workflow template.
          example: 100
        stages:
          type: array
          description: The stages in this workflow template.
          items:
            $ref: '#/components/schemas/WorkflowStageTemplate'
      description: >-
        A workflow template which defines the workflow's possible steps
        (combination of Translation, Review and Customer Review).
    Error:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message describing the error.
      description: |
        Response in the event of an unexpected error.
      example:
        message: Internal server error.
    WorkflowStageTemplate:
      type: object
      properties:
        name:
          type: string
          description: The human readable name of a Workflow stage.
          example: Translate
        assignmentType:
          type: string
          description: An enum to represent all possible types of Workflow stage.
          example: TRANSLATE
          enum:
            - READY_TO_START
            - TRANSLATE
            - REVIEW
            - SECONDARY_REVIEW
            - DONE
      description: A single stage within a Workflow Template.
  responses:
    UnauthorizedError:
      description: Unauthorized
      content:
        application/octet-stream:
          schema:
            type: string
        text/plain:
          schema:
            type: string
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      name: key
      in: query

````